﻿.app-header {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid hsla(0, 0%, 100%, 0.3);
    height: 49px;
    background-color: rgb(66, 66, 66);
    font-weight: bold;
    position: fixed;
    width: 100%;
    z-index: 91001;
    top: 0px;
    min-width: 550px;
}

.header-link-frame {
    float: left;
    margin-top: 10px;
    text-align: center;
    width: 50px;
    height: 36px;
    border-radius: 5px;
    margin-left: 3px;
    position: relative;
    cursor: pointer;
    transition: width 0.3s ease;
}

    .header-link-frame:hover {
        background-color: rgba(99,109,119,.5);
        color: #ffffff;
        z-index: 9;
    }

.notification-nav-icon {
    font-size: 22px;
    margin-top: 5px;
    height: 34px;
}

.communities-nav-icon {
    font-size: 22px;
    margin-top: 6px;
    height: 34px;
}

.designer-nav-icon {
    font-size: 22px;
    margin-top: 6px;
    height: 34px;
}

.three-sixty-nav-icon {
    font-size: 22px;
    margin-top: 6px;
    height: 34px;
}

.header-link-icon {
    color: #d2d6d8;
    text-decoration: none;
}

.header-link {
    text-decoration: none;
    position: relative;
}

.header-alt-products {
    margin-top: 4px;
}

.market-selector {
    font-size: 10px;
    color: rgb(255, 255, 255);
    margin: -5px 0 0 0;
    font-weight: normal;
    text-align: right;
    text-decoration: none;
}

.icon-frame {
    z-index: 10;
    position: absolute;
    top: -2px;
}

.icon-badge {
    min-width: 20px;
    height: 20px;
    padding: 0 6px;
    color: #fff;
    font-weight: normal;
    font-size: 12px;
    line-height: 20px;
    white-space: nowrap;
    text-align: center;
    background: #f5222d;
    border-radius: 10px;
    box-shadow: 0 0 0 1px #fff;
    box-sizing: border-box;
}

#marketChangeSection:hover {
    text-decoration: underline;
    text-decoration-style: dotted;
    color: #ffffff;
}

.header-left {
    flex-shrink: 0;
    margin-top: 3px;
    margin-left: 15px;
    position: relative;
}

.header-right {
    display: flex;
    flex-direction: row-reverse;
    margin-top: -3px;
    margin-right: 15px;
    min-width: 0;
}

.header-center {
    display: flex;
    flex-wrap: wrap;
    margin-left: auto;
    align-items: center;
}

#mainHelpContent ul {
    margin: 0;
    padding-left: 20px;
}

    #mainHelpContent ul li a {
        color: #fc601f;
        font-weight: bold;
        text-decoration: none;
    }

.market_selection {
    padding: 3px;
    height: 24px;
    vertical-align: middle;
}

    .market_selection .inner {
        padding-left: 5px;
    }

#main-user-frame {
    padding-top: 12px;
    padding-right: 5px;
    float: left;
    padding-left: 10px;
    cursor: pointer;
}

#eplus-header-logo {
    cursor: pointer;
}

#main-logo-frame {
    float: left;
    margin-left: 7px;
}

#main-eplus-logo-text {
    margin-top: 3px;
    height: 26px;
}

#main-eplus-logo-icon {
    height: 30px;
    margin: 3px 20px 0 3px;
}

#header-profile-meta {
    float: left;
    padding-left: 10px;
    width: 180px;
}

#header-profile-section {
    width: 300px;
    padding-top: 10px;
}

.profile-menu-options li a {
    text-decoration: none;
}

#profile-user-name {
    font-size: 18px;
    font-weight: bold;
    width: 150px;
}

#header-profile-top-section {
    margin-top: -5px;
    font-size: 13px;
}

.header-profile-link {
    margin-top: 5px;
    font-weight: bold;
}

#header-register-link {
    float: left;
    padding-right: 15px;
    padding-top: 20px;
    font-weight: bold;
    color: #d2d6d8;
    padding-left: 10px;
    cursor: pointer;
}

@media only screen and (max-width: 930px) {
    div.app-header {
        flex-wrap: wrap;
        height: 100px;
    }

    div#menuDiv {
        margin-top: 108px;
    }

    .menuText > span.headerLink {
        display: inline-block;
        margin-bottom: 4px;
    }

    .header-right {
        order: 2;
    }

    .header-center {
        order: 3;
        width: 100%;
        margin: 0 15px;
    }

    div#headerSearchBox {
        width: 100%;
    }

    #main-site-search-wrapper {
        width: 90%;
    }

    form#main-site-search {
        width: 100%;
    }

    #main-site-search input#searchKeywords {
        width: 100%;
    }

    /* Fixes overlap between app header and analytics header */
    div.analyticsHeaderBar-fixed {
        top: 100px;
    }
}

@media only screen and (max-width: 762px) {
    .header-center {
        width: 55%;
        margin-right: auto;
        margin-left: 15px;
    }

    #main-site-search-wrapper {
        width: 75%;
    }

}

@media only screen and (max-width: 549px) {
    .header-center {
        width: 52%;
        margin-left: 0;

    }
    
    .header-link-frame {
        width: 40px;
    }
}

@media only screen and (max-width: 491px) {
    .header-center {
        width: 49%;
    }

    #main-site-search-wrapper {
        width: 72%;
    }

    .header-link-frame {
        width: 36px;
    }
}